summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-07-06 13:36:37 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2008-07-06 13:36:37 +0200
commit573c5927c54c874398ba9f36e47bb663c279dc90 (patch)
treea07587f0a8ed78aa9eef255699783c6176e45454
parent3668d996feaa847d9fa0617cbf3ad3f9ea3ae703 (diff)
bin/bootstrap: Some more comments
-rwxr-xr-xbin/bootstrap7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/bootstrap b/bin/bootstrap
index 5ae11d7..e2d7e17 100755
--- a/bin/bootstrap
+++ b/bin/bootstrap
@@ -3,7 +3,10 @@
# After running this, other packages can be installed using 'pkg'
HG=hg
-if ([ ! -e $HOME/.zshrc ]) {
+
+# zsh keeps complaining about not having a configuration,
+# so let's be kind and give it an empty one.
+if ! [[ -e $HOME/.zshrc ]] {
RCEMPTY=yes
touch $HOME/.zshrc
}
@@ -26,12 +29,10 @@ if ( ! which hg &> /dev/null) {
HG="$HOME/packages/.mercurial-bin/mercurial-1.0.1/hg"
}
-# Fetch the core package, containing checklinks and pkg
cd ~/packages
echo "fetching core"
$HG clone ssh://derf.homelinux.org/var/packages_root/core
-# Create symlinks for pkg and checklinks
cd core
bin/checklinks
for i in bin/*(*); {